import ApiModel from "~/models/ApiModel";
import {Str, Uid} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : OrganizationLicence
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Organization/OrganizationLicence.php
 */
export default class OrganizationLicence extends ApiModel {
  static entity = 'organization_licences'

  @Uid()
  declare id: number | string | null

  @Str('')
  declare licensee: string

  @Str(null)
  declare licenceNumber: string|null

  @Str(null)
  declare categorie: string|null

  @Str(null)
  declare validityDate: string|null
}
